# Building
# ========
# 
# To build this you need bmake and mk files from
# http://www.crufty.net/ftp/pub/sjg/
# 
# Building is simply a matter of::
#
# 	export MAKEOBJDIRPREFIX=/tmp
# 	bmake -m ~/share/mk obj
# 	bmake -m ~/share/mk install
#

# RCSid:
#	$Id: Makefile,v 1.2 2015/01/28 23:58:40 sjg Exp $
#
#	@(#) Copyright (c) 2012 Simon J. Gerraty
#	@(#) Copyright (c) 2014 Juniper Networks, Inc.
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net


PROG= printimakeyid

SRCS= printimakeyid.c

.-include "Makefile.local.inc"


.if exists(/usr/pkg/include)
prefix?= /usr/pkg
.elif exists(/opt/include)
prefix?= /opt
.endif
prefix?= /usr/local

CFLAGS_MD=
CFLAGS_MF=

COMPILE.c?= ${CC} -c ${CFLAGS}

.SUFFIXES: .So .c

.c.So:
	${COMPILE.c} ${PICFLAG} ${CC_PIC} ${.IMPSRC} -o ${.TARGET}

LDADD+= -lcrypto

CLEANFILES+= *.o ${PROG}

NOMAN=
NO_MAN=
NO_AUTODEP=

.include <prog.mk>
